package api

import (
	"net/http"

	"github.com/labstack/echo/v4"

	"sku61.com/InvestAccnt/api/gen"
)


func (self *BianApiService) GetInvestmentsInvestmentAccountIdDetails(ctx echo.Context, investmentAccountId string, params gen.GetInvestmentsInvestmentAccountIdDetailsParams) error {

	self.Lock.Lock()
	defer self.Lock.Unlock()

	message := "GetInvestmentsInvestmentAccountIdDetails service API not implemented"
	status := "DM00501"
	return sendGeneralError(ctx, http.StatusNotImplemented, message, status, "Implement the API code", "")
}

